Blitzkrieg-Mod

Company of Heroes: Opposing Fronts mod |

Follow 2670

This patch has been archived by the uploader because it is out of date and no longer supported. We recommend you browse the file list for the latest patch.

This is the latest Blitzkrieg patch at the moment, to be installed over any 4.8.x.x or 4.9.x version. Simply install it over and run launcher.

Blitzkrieg 4.8.X.X to 4.9.8 Patch

Related to Patch

Only registered members can share their thoughts. So come on! Join the community today and join in the conversation.

You are not logged in, join the community or sign in with your social account: